- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Types | Public Member Functions | Friends | List of all members
qi::detail::FutureBaseTyped< T > Class Template Reference

`#include <future_fwd.hpp>`

## Public Types
using | CancelCallback = boost::function< void(Promise< T > &)>
using | ValueType = typename FutureType< T >::type

## Public Member Functions
| FutureBaseTyped ()
| ~FutureBaseTyped ()
void | cancel (qi::Future< T > &future)
void | set (qi::Future< T > &future)
void | setValue (qi::Future< T > &future, const ValueType &value)
void | setError (qi::Future< T > &future, const std::string &message)
void | setBroken (qi::Future< T > &future)
void | setCanceled (qi::Future< T > &future)
void | setOnCancel (const qi::Promise< T > &promise, CancelCallback onCancel)
void | setOnDestroyed (boost::function< void(ValueType)> f)
void | connect (qi::Future< T > future, const boost::function< void(qi::Future< T >)> &callback, FutureCallbackType type)
const ValueType & | value (int msecs) const
Public Member Functions inherited from qi::detail::FutureBase
| FutureBase ()
| ~FutureBase ()
FutureState | wait (int msecs) const
FutureState | wait (qi::Duration duration) const
FutureState | wait (qi::SteadyClock::time_point timepoint) const
FutureState | state () const
bool | isRunning () const
bool | isFinished () const
bool | isCanceled () const
bool | isCancelRequested () const
bool | hasError (int msecs) const
bool | hasValue (int msecs) const
const std::string & | error (int msecs) const
void | reportStart ()

## Friends
class | Promise< T >

## Additional Inherited Members
Public Attributes inherited from qi::detail::FutureBase
FutureBasePrivate * | _p
Protected Member Functions inherited from qi::detail::FutureBase
void | reportValue ()
void | reportError (const std::string &message)
void | requestCancel ()
void | reportCanceled ()
boost::recursive_mutex & | mutex ()
void | notifyFinish ()

## Detailed Description

### template<typename T>
class qi::detail::FutureBaseTyped< T >

Definition at line 74 of file future_fwd.hpp.

## Member Typedef Documentation

template<typename T>

using qi::detail::FutureBaseTyped< T >::CancelCallback = boost::function<void(Promise<T>&)>

Definition at line 987 of file future_fwd.hpp.

template<typename T>

using qi::detail::FutureBaseTyped< T >::ValueType = typename FutureType<T>::type

Definition at line 988 of file future_fwd.hpp.

## Constructor & Destructor Documentation

template<typename T >

qi::detail::FutureBaseTyped< T >::FutureBaseTyped | ( |  | ) |

Definition at line 161 of file future.hxx.

template<typename T >

qi::detail::FutureBaseTyped< T >::~FutureBaseTyped | ( |  | ) |

Definition at line 168 of file future.hxx.

## Member Function Documentation

template<typename T >

void qi::detail::FutureBaseTyped< T >::cancel | ( | qi::Future< T > & | future | ) |

Definition at line 176 of file future.hxx.

template<typename T >

void qi::detail::FutureBaseTyped< T >::connect | ( | qi::Future< T > | future,
|  | const boost::function< void(qi::Future< T >)> & | callback,
|  | FutureCallbackType | type
| ) |  |

Definition at line 315 of file future.hxx.

template<typename T >

void qi::detail::FutureBaseTyped< T >::set | ( | qi::Future< T > & | future | ) |

Definition at line 276 of file future.hxx.

template<typename T >

void qi::detail::FutureBaseTyped< T >::setBroken | ( | qi::Future< T > & | future | ) |

Definition at line 292 of file future.hxx.

template<typename T >

void qi::detail::FutureBaseTyped< T >::setCanceled | ( | qi::Future< T > & | future | ) |

Definition at line 300 of file future.hxx.

template<typename T >

void qi::detail::FutureBaseTyped< T >::setError | ( | qi::Future< T > & | future,
|  | const std::string & | message
| ) |  |

Definition at line 284 of file future.hxx.

template<typename T >

void qi::detail::FutureBaseTyped< T >::setOnCancel | ( | const qi::Promise< T > & | promise,
|  | CancelCallback | onCancel
| ) |  |

Definition at line 194 of file future.hxx.

template<typename T >

void qi::detail::FutureBaseTyped< T >::setOnDestroyed | ( | boost::function< void(ValueType)> | f | ) |

Definition at line 308 of file future.hxx.

template<typename T >

void qi::detail::FutureBaseTyped< T >::setValue | ( | qi::Future< T > & | future,
|  | const ValueType & | value
| ) |  |

Definition at line 267 of file future.hxx.

template<typename T >

const FutureBaseTyped< T >::ValueType & qi::detail::FutureBaseTyped< T >::value | ( | int | msecs | ) | const

Definition at line 359 of file future.hxx.

## Friends And Related Function Documentation

template<typename T>

friend class Promise< T >
| friend

Definition at line 1013 of file future_fwd.hpp.

The documentation for this class was generated from the following files:

- /home/opennao/work/release-2.8/sdk/libqi/qi/detail/future_fwd.hpp
- /home/opennao/work/release-2.8/sdk/libqi/qi/detail/future.hxx